Bleeding Edge - Source Code → 1.1.0 RC5 now available

1.1.0 RC5 now available

The next release (1.1.0) will include a lot of changes, including support for SQLite 3.x, improved versions of the Windows service and system tray programs and, at last, an installer for Mac OS X.

A new release candidate (RC4RC5) is now available for testing in a cross platform version, a Windows version and a Mac OS X version.

WARNING: This release candidate will convert your existing database from SQLite 2.x to the new 3.x format. The new SQLite 3.x database cannot be used by POPFile 1.0.1 or any earlier version of POPFile. Although the release candidate will make a backup copy of your old SQLite 2.x format database it is recommended that you also make your own backup copy before you try to upgrade your existing installation.

(edited to correct a cut-and-paste error!)

  • Message #548

    RC5, Mac OS X, G5

    Popfile stopped downloading mail. I ran in console and got the following:

    Undefined subroutine &MIME::QuotedPrint::decode_qp called at Classifier/MailParse.pm line 1702, <GEN3> line 7.
    closing dbh with active statement handles during global destruction.
    Undefined subroutine &MIME::QuotedPrint::decode_qp called at Classifier/MailParse.pm line 1702, <GEN5> line 6.
    closing dbh with active statement handles during global destruction.
    Undefined subroutine &MIME::QuotedPrint::decode_qp called at Classifier/MailParse.pm line 1702, <GEN6> line 7.
    closing dbh with active statement handles during global destruction.

    • Message #549

      RC5, Mac OS X, G5

      What version of Mac OS X are you using?

      Please run the following commands in console and tell me the results:

      1. perl -v
      2. which perl
      3. perl -MMIME::QuotedPrint -e 'print $MIME::QuotedPrint::VERSION;

      Naoki

      • Message #550

        What version of Mac OS X are you using?

        v10.4.11

        1. perl -v

        perl v5.8.6

        2. which perl

        /usr/bin/perl

        3. perl -MMIME::QuotedPrint -e 'print $MIME::QuotedPrint::VERSION;

        MIME::Base64 object version 3.05 does not match bootstrap parameter 3.07 at /System/Library/Perl/5.8.6/darwin-thread-multi-2level/XSLoader.pm line 92.
        Compilation failed in require at /System/Library/Perl/5.8.6/darwin-thread-multi-2level/MIME/QuotedPrint.pm line 14.
        BEGIN failed--compilation aborted at /System/Library/Perl/5.8.6/darwin-thread-multi-2level/MIME/QuotedPrint.pm line 14.
        Compilation failed in require.
        BEGIN failed--compilation aborted.
        MIME::Base64 object version 3.05 does not match bootstrap parameter 3.07 at /System/Library/Perl/5.8.6/darwin-thread-multi-2level/XSLoader.pm line 92.
        Compilation failed in require at /System/Library/Perl/5.8.6/darwin-thread-multi-2level/MIME/QuotedPrint.pm line 14.
        BEGIN failed--compilation aborted at /System/Library/Perl/5.8.6/darwin-thread-multi-2level/MIME/QuotedPrint.pm line 14.
        Compilation failed in require.
        BEGIN failed--compilation aborted.

        • Message #551

          Re-installed MIME::Base64. Probably a holdover from my previous multiple perl installations problem.

          POPFile RC5 is working fine now.

          Thanks!!

          • Message #552

            Re-installed MIME::Base64. Probably a holdover from my previous multiple perl installations problem.

            POPFile RC5 is working fine now.

            Glad to hear that.

            Apple seems to have updated some Perl modules in the recent Security Update (2008-007).
            The update program updates the compiled bundles only and it does not update the Perl script of the modules.
            If you've installed the newer version of these modules, the bundle will be downgraded by the security update so that the scripts becomes incompatible with the bundles.

            Naoki

            • Message #632

              That MIME::QuotedPrint? issue has come back. I tried reinstalling MIME::Base64, but I either forgot how to do that correctly or something else is out of whack (I'm definitely not a UNIX type person.)

              Any suggestions?

              • Message #634

                That MIME::QuotedPrint? issue has come back. I tried reinstalling MIME::Base64, but I either forgot how to do that correctly or something else is out of whack (I'm definitely not a UNIX type person.)

                Any suggestions?

                Hi

                This problem occurred after installing the recent Security Update (2008-008)?

                Please try following command in the Terminal again and tell me the result.

                perl -MMIME::QuotedPrint -e 'print $MIME::QuotedPrint::VERSION;
                

                Naoki

                • Message #638

                  Please try following command in the Terminal again and tell me the result.

                  {{{
                  perl -MMIME::QuotedPrint? -e 'print $MIME::QuotedPrint::VERSION;
                  }}}

                  MIME::Base64 object version 3.05 does not match bootstrap parameter 3.07 at /System/Library/Perl/5.8.6/darwin-thread-multi-2level/XSLoader.pm line 92.
                  Compilation failed in require at /System/Library/Perl/5.8.6/darwin-thread-multi-2level/MIME/QuotedPrint.pm line 14.
                  BEGIN failed--compilation aborted at /System/Library/Perl/5.8.6/darwin-thread-multi-2level/MIME/QuotedPrint.pm line 14.
                  Compilation failed in require.
                  BEGIN failed--compilation aborted.

                  • Message #639

                    OK.

                    It seems that the Base64.bundle has downgraded again.

                    Please download the old (compatible) version of Base64.pm from here and replace the file on your Mac.

                    http://idisk.mac.com/amatubu/Public/POPFile/MIME-Base64-3.05/Base64.pm

                    In the Terminal, please run the following command (use your download folder's path):

                    sudo cp /path/to/downloaded/Base64.pm /System/Library/Perl/5.8.6/darwin-thread-multi-2level/MIME/
                    (type root password)
                    

                    Naoki

                    • Message #647

                      Thanks! That did the trick.

            • Message #633

              That MIME::QuotedPrint? issue has come back. I tried reinstalling MIME::Base64, but I either forgot how to do that correctly or something else is out of whack (I'm definitely not a UNIX type person.)

              Any suggestions?

  • Message #586

    1.1.0 RC6 is now available in all 3 versions (cross-platform, Mac OS X and MS Windows)

    This should be the last release candidate before POPFile 1.1.0 gets released!

    Brian